<?php

$konekcija = mysqli_connect("localhost", "root", "") or die("Neuspesna veza sa bazom." . mysqli_error());
mysqli_select_db($konekcija, "primer_fudbal") or die("Nija odabrana baza!");

function close() {
    mysqli_close($GLOBALS['konekcija']);
}

function zemljeUpit() {
    echo '<option value="nista"> Sve zemlje </option>';
    $countryData = mysqli_query($GLOBALS['konekcija'], "SELECT * FROM zemlja") or die(mysqli_error());
    while ($record = mysqli_fetch_array($countryData)) {
        if (isset($_GET['zemlja']) && $_GET['zemlja'] == $record['ime_zemlje'])
            echo ' <option value="' . $record['ime_zemlje'] . '" selected>' . $record['ime_zemlje'] . ' </option>';
        else
            echo ' <option value="' . $record['ime_zemlje'] . '">' . $record['ime_zemlje'] . ' </option>';
    }
}

function gradoviUpit($zem) {
    echo'<option value=0>Odaberite grad iz liste</option>';
    $cityData = mysqli_query($GLOBALS['konekcija'], "SELECT * FROM grad WHERE ime_zemlje='" . $zem . "'");
    while ($record = mysqli_fetch_array($cityData)) {
        echo'<option value="' . $record['idgrad'] . '">' . $record['ime'] . '</option>';
    }
}

function kluboviUpit($gr) {
    $clubData = mysqli_query($GLOBALS['konekcija'], "SELECT * FROM klub WHERE idgrad=" . $gr);
    if (mysqli_num_rows($clubData) > 0) {
        echo "<table border=1> <tr> <th>Ime kluba</th> <th>Stadion</th> <th>Godina osn.</th> <th>Nadimak</th> </tr>";
        while ($record = mysqli_fetch_array($clubData)) {
            echo "<tr>";
            echo "<td>" . $record['ime'] . "</td>";
            echo "<td>" . $record['stadion'] . "</td>";
            echo "<td>" . $record['godina_osnivanja'] . "</td>";
            echo "<td>" . $record['nadimak'] . "</td>";
            echo "</tr>";
        }
        echo "</table>";
    } else {
        echo "Nema klubova koji zadovoljavaju pretragu!";
    }
}

?>